Loading...
Searching...
No Matches
Opm::data::GuideRateValue Class Reference

## Public Types

enum class | Item : std::size_t { Oil , Gas , Water , ResV , NumItems }

## Public Member Functions

void | clear ()
constexpr bool | has (const Item p) const
bool | operator== (const GuideRateValue &vec) const
double | get (const Item p) const
GuideRateValue & | set (const Item p, const double value)
GuideRateValue & | operator+= (const GuideRateValue &rhs)
template<class MessageBufferType>
void | write (MessageBufferType &buffer) const
template<class MessageBufferType>
void | read (MessageBufferType &buffer)
void | init_json (Json::JsonObject &json_data) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static GuideRateValue | serializationTestObject ()

The documentation for this class was generated from the following file:

- opm/output/data/GuideRateValue.hpp